/*
    This file is part of xcrillion
    available at: http://www.fu-berlin.de/~mkrueger/xcrillion
    and placed under the same license as xcrillion.
*/
#ifndef C_ACTION
#define C_ACTION
#include </boot/develop/tools/gnupro/include/SDL/SDL.h>
#include <string.h>
#include "level.h"

#define DO_MOVE        1
#define DO_KILLSTONE   2
#define DO_MORPH       3
#define DO_REMOVE      4

typedef struct {
   int type;
   int p1,p2;   
   int p3,p4;   
   int status;
   int a1;
} Actionstruct;

/*Add Action to queue*/
extern int add_action(int type,int a,int b,int c,int d);
/*Remove a single Action from queue*/
extern void kill_action(int x);
/*Remove all Actions from queue*/
extern void remove_all_actions();
/*Do all Actions in queue*/
extern void do_action(Levelstruct *level,SDL_Surface *screen,TileSetstruct *tileset);

#endif
